# Source: adapters/mysql2.js

    'use strict';

    var adapter = require('../lib/adapter.js');

    /** @module adapters/mysql2 */
    module.exports = function(instance) {

    	/**
    	 * Run the sql query as a prepared statement
    	 *
    	 * @param {String} sql - The sql with placeholders
    	 * @param {Array} params - The values to insert into the query
    	 * @param {Function} callback - Callback to run when a response is recieved
    	 * @return void
    	 */
    	adapter.execute = function(sql, params, callback) {
    		instance.execute(sql, params, callback);
    	};

    	return adapter;
    }